matchPrediction
GET
/analysis/tournaments/{tournamentKey}/prediction
const url = 'https://api.lovat.cjcameron.com/v2/analysis/tournaments/example/prediction?red=example&blue=example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.lovat.cjcameron.com/v2/analysis/tournaments/example/prediction?red=example&blue=example' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”tournamentKey
required
string
Query Parameters
Section titled “Query Parameters”red
required
Three team numbers, e.g. 254,1678,973
string
blue
required
Three team numbers, e.g. 254,1678,973
string
sources
Sources rule as JSON
string
Responses
Section titled “Responses”OK
Media typeapplication/json
Any of:
object
status
required
red
required
object
teams
required
Array<integer>
expectedScore
required
number
sd
required
number
blue
required
object
teams
required
Array<integer>
expectedScore
required
number
sd
required
number
redWinProbability
required
number
winningAlliance
required
string
object
status
required
teams
required
Array<integer>
Example
{ "status": "ok", "winningAlliance": "red"}